GHrule {lme4} | R Documentation

## Univariate Gauss-Hermite quadrature rule

### Description

Create a univariate Gauss-Hermite quadrature rule.

### Usage

      GHrule(ord, asMatrix = TRUE)

### Arguments

`ord` | scalar integer between 1 and 25 - the order, or number of nodes and weights, in the rule. When the function being multiplied by the standard normal density is a polynomial of order 2k-1 the rule of order k integrates the product exactly.
`asMatrix` | logical scalar - should the result be returned as a matrix. If `FALSE` a data frame is returned. Defaults to `TRUE`.

### Details

This version of Gauss-Hermite quadrature provides the node positions and weights for a scalar integral of a function multiplied by the standard normal density.

Originally based on package SparseGrid's hidden `GQN()`.

### Value

a matrix (or data frame, is `asMatrix` is false) with `ord` rows and three columns which are `z` the node positions, `w` the weights and `ldnorm`, the logarithm of the normal density evaluated at the nodes.

### See Also

a different interface is available via `GQdk()`.

### Examples

    (r5 <- GHrule(5, asMatrix=FALSE))
    ## second, fourth, sixth, eighth and tenth central moments of the
    ## standard Gaussian density
    with(r5, sapply(seq(2, 10, 2), function(p) sum(w * z^p)))

[Package lme4 version 1.1-21 Index]